Summary:	A client compatible with AOL's 'Instant Messenger'
Name:		gaim
Version:	0.76
Release:	vv2
Copyright:	GPL
Group:		Internet
URL:		http://sourceforge.net/projects/gaim-vv
Source0:	%{name}.tar.bz2
Source1:	%{name}.desktop
Source2:	Kids.tar.gz
Source3:	mwes-1.0.17.tar.gz
Source4:	SmallSmiles.tar.gz
Source5:	trilliansmileys.0.1.tar.gz
Source6:	gnometal_gaim.tar.gz
Source7:	xpsilver.tar.gz
Source8:	6704-gaimcrystal.tgz
Source9:	icq.tar.gz
Source10:	CrystalAIM.tar.gz
Source11:	msn6.0.2.tar.gz
Source12:	filthysmilies.tar.gz
Source13:	sounds.tar.gz
Patch0:		%{name}-vv.patch
Requires:	libosip linphone libj2k jasper libupnp
BuildRequires:	tcltk-devel gtkspell atk-devel pango-devel gtk2-devel 
BuildRequires:	glib2-devel libj2k-devel jasper-devel libosip-devel
BuildRequires:	linphone-devel libupnp-devel
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
Reg. GAIM http://gaim.sf.net/
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim co gaim

Adv. GAIM-vv
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co -r gaim-vv gaim
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co libj2k
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co linphone

Voice and Cam support - 2004-05-27
Gaim allows you to talk to anyone using AOL's 
Instant Messenger service (you can sign up at http://www.aim.aol.com).  

Gaim also contains a multiple connection feature which consists of 
protocol plugins.  These plugins allow you to use gaim to connect 
to other chat services such as Yahoo!, AIM/AOL, ICQ, Jabber, MSN,
Napster, Gadu Gadu, Zephyr, Oscar & IRC.

%package        devel
Summary:        Development headers and libraries
Group:          Development

%description    devel
This package includes the header and library files necessary
for developing applications to use %{name}

%prep
%setup -q -n %{name} -a 13
%patch0 -p0
touch plugins/linphone/linphone_config.h

%build
autogen.sh
make clean distclean
configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--disable-nls \
	--without-included-gettext \
	--without-nspr-includes \
	--without-nspr-libs \
	--without-nss-includes \
	--without-nss-libs \
	--enable-gnutls=yes \
	--disable-openssl \
	--enable-tcl \
	--enable-tk \
	--enable-perl \
	--enable-jasper \
	--with-libj2k \
	--with-libj2k=/usr \
	--enable-linphone \
	--with-linphone=/usr \
	--enable-msn-vv \
	--enable-upnp
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod 755 $RPM_BUILD_ROOT/usr/lib/gaim/*
pushd $RPM_BUILD_ROOT/usr/share/pixmaps/gaim/smileys
for smileys in	%{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
		%{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} \
		%{SOURCE12}
do		tar xzf ${smileys}
done
popd
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/gaim/* 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/gaim
/usr/lib/perl5
/usr/share/peanut
/usr/share/pixmaps
/usr/share/sounds
/usr/man

%files devel
%defattr(-,root,root)
/usr/include
#/usr/lib/pkgconfig
